Get GSTR-1A SUPECOA
curl --request GET \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/supecoa/{year}/{month} \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/supecoa/{year}/{month}"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/supecoa/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"timestamp": 1763446641000,
"transaction_id": "41bb8041-fb83-4654-8d75-85a19f329158",
"data": {
"status_cd": "1",
"data": {
"supecoa": {
"clttxa": [
{
"oetin": "20ALYPD6528PQC5",
"etin": "20ALYPD6528PQC5",
"suppval": 10000,
"igst": 1000,
"cgst": 0,
"sgst": 0,
"cess": 0,
"flag": "E",
"omon": "052023"
}
],
"paytxa": [
{
"oetin": "20ALYPD6528PQC5",
"etin": "20ALYPD6528PQC5",
"suppval": 10000,
"igst": 1000,
"cgst": 0,
"sgst": 0,
"cess": 0,
"flag": "D",
"omon": "052023"
}
]
}
}
}
}Get GSTR-1A SUPECOA
This API is to get Supplier ECOA Details
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1a
/
supecoa
/
{year}
/
{month}
Get GSTR-1A SUPECOA
Response body schema
View response body schema
Headers
GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session flow and pass the token in the authorization header.
Compliance API version.
API key for identification.
Path Parameters
Return year, for example 2025.
Return month, for example 04.
Query Parameters
Optional subsection filter.
Response
200 - application/json
Success
The response is of type object.
Was this page helpful?
āI